org.apache.ignite.internal.util.gridify

## Class GridifyArgumentBuilder

- java.lang.Object
- - org.apache.ignite.internal.util.gridify.GridifyArgumentBuilder

    public final class GridifyArgumentBuilder
    extends Object

Argument builder used for creating arguments for tasks and jobs in gridified methods.

See Also:
  `GridifySetToValue`, `GridifySetToSet`

### Constructor Summary

Constructors
Constructor and Description
`GridifyArgumentBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GridifyArgument` `createJobArgument(GridifyRangeArgument arg, Collection<?> input)` Create `GridifyArgument` for job.
`GridifyRangeArgument` `createTaskArgument(Class<?> mtdCls, String mtdName, Class<?> mtdReturnType, Class<?>[] mtdTypes, Annotation[][] mtdParamAnns, Object[] mtdParams, Object mtdTarget)` Create argument for task.
`GridifyRangeArgument` `createTaskArgument(GridifyRangeArgument arg, Collection<?> input)` Create `GridifyRangeArgument` for task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridifyArgumentBuilder

    public GridifyArgumentBuilder()

### Method Detail

#### createTaskArgument

    public GridifyRangeArgument createTaskArgument(Class<?> mtdCls,
                                                   String mtdName,
                                                   Class<?> mtdReturnType,
                                                   Class<?>[] mtdTypes,
                                                   Annotation[][] mtdParamAnns,
                                                   Object[] mtdParams,
                                                   Object mtdTarget)

Create argument for task.

Parameters:
  `mtdCls` - Method class.
  `mtdName` - Method name.
  `mtdReturnType` - Method return type.
  `mtdTypes` - Method parameter types.
  `mtdParamAnns` - Method parameter annotations.
  `mtdParams` - Method parameters.
  `mtdTarget` - Target object.
Returns:
  Argument for task.

#### createTaskArgument

    public GridifyRangeArgument createTaskArgument(GridifyRangeArgument arg,
                                                   Collection<?> input)
                                            throws IgniteCheckedException

Create `GridifyRangeArgument` for task.

Parameters:
  `arg` - Task argument contains all necessary data for method invoke.
  `input` - Input collection..
Returns:
  Argument for task.
Throws:
  `IgniteCheckedException` - In case of error.

#### createJobArgument

    public GridifyArgument createJobArgument(GridifyRangeArgument arg,
                                             Collection<?> input)
                                      throws IgniteException

Create `GridifyArgument` for job.

Parameters:
  `arg` - Task argument contains all necessary data for method invoke.
  `input` - Input collection used in job.
Returns:
  Argument for job.
Throws:
  `IgniteException` - In case of error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018